<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Transition</title>
    <style>
        html, body {
            height: 100%;
        }
        .container {
            display: flex;
            justify-content: space-between;
            align-items: center;
            height: inherit;
        }
        .container .item {
            padding: 10px;
            border: 1px #000000 solid;
            width: 250px;
            text-align: center;

            transition-property: width;
            transition-duration: .9s;

            /*transition: width .5s step-start 02s;*/
        }
        .container .item:hover {
            cursor: pointer;
            background-color: #16b085;
            color: white;
            width: 350px;
        }
    </style>
</head>
<body>

<div class="container">
    <div class="item">1</div>
    <div class="item">2</div>
    <div class="item">3</div>
</div>

</body>
</html>